asking for Net Framework 2.0.50727

shokan

New Member
After a Windows update last night for XP 32bit, Eraser won't run. A box appears asking for NET Framework 2.0.50727. This version of NET Framework won't install on my machine. The message is "this version incompatible with a previously installed version". Eraser version is 6.0.8.2273.

What can I do?


Thanks.
 

DavidHB

Active Member
The message is misleading, to say the least. Eraser uses .NET 3.5.

I can only assume that the Windows update broke .NET 3.5. I would suggest that, if you can, you go back to the Restore Point before the Windows Update. Then, if that undoes the damage, let things settle before trying Windows update again. Are you on XP SP3?

The other possibility is to uninstall and re-download and reinstall .NET 3.5. This is not necessarily a trivial process, so I would only attempt it if System Restore cannot do what it is supposed to do.

David
 

shokan

New Member
DavidHB said:
The message is misleading, to say the least. Eraser uses .NET 3.5.

I can only assume that the Windows update broke .NET 3.5. I would suggest that, if you can, you go back to the Restore Point before the Windows Update. Then, if that undoes the damage, let things settle before trying Windows update again. Are you on XP SP3?

The other possibility is to uninstall and re-download and reinstall .NET 3.5. This is not necessarily a trivial process, so I would only attempt it if System Restore cannot do what it is supposed to do.

David
XP SP3.

System Restore to before yesterday's Windows update and Eraser runs again. Update notification appeared once this was done, but I have now disabled any further updates. I don't know if these would have been a repeat of the updates from yesterday, but I'd rather do without the risk of this happening again. FYI, cli.exe (ATI's Catalyst Control Center) failed to run at startup at the same time Eraser would not start after the update. Don't know if they are related.
 

DavidHB

Active Member
Assuming you are running a security program, I'd leave it a week or two, then try again. You can always look at individual updates, and disable those that are highest risk. There have been some .NET updates recently; those would be the ones to suspect, I'd guess.

If the ATi program runs on .NET (not improbable), that would explain why neither it nor Eraser were working.

David
 

shokan

New Member
DavidHB said:
Assuming you are running a security program, I'd leave it a week or two, then try again. You can always look at individual updates, and disable those that are highest risk. There have been some .NET updates recently; those would be the ones to suspect, I'd guess.

If the ATi program runs on .NET (not improbable), that would explain why neither it nor Eraser were working.

David
I'll wait as you say and try again. One other concurrent problem which has occurred after yesterday's update is an error message (appearing randomly) "searchfilterhost.exe application error" with some memory dump info. Again, how this relates to Eraser and cli.exe not starting after the update, no idea. I have disabled Search Indexing service and changed Windows Search service to manual.

Thanks for your help.
 

Joel

Active Member
Yes, AFAICS Catalyst Control Centre uses .NET 2; hence both software not working after the update is to be expected.

As to why the update is breaking .NET... Microsoft has to figure that out.
 
Top